Subject: Re: [PATCH 1/5] powerpc: Make early xmon logic immune to location of early parsing

From: Michael Ellerman <[email-masked]>
Date: Thu, 18 May 2006 10:03:05 +1000

On Wed, 2006-05-17 at 14:29 -0700, Tom Rini wrote:
> On Wed, May 17, 2006 at 06:00:41PM +1000, Michael Ellerman wrote:
> 
> > Currently early_xmon() calls directly into debugger() if xmon=early is passed.
> > This ties the invocation of early xmon to the location of parse_early_param(),
> > which might change.
> > 
> > Tested on P5 LPAR and F50.
> > 
> > Signed-off-by: Michael Ellerman <[email-masked]>
> 
> Please no, parse_early_param() is there so things like xmon or kgdb can
> be dropped into as soon as we're able to parse any params that might be
> usable early on.

Sure, did you read the rest of the series? I want to parse parameters
eariler, so early that xmon isn't ready to run when we parse them, so I
have to defer jumping into xmon until after xmon is initialised. The net
effect on when xmon runs is zero. Or did I miss your point?

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person